Update a Google Pass template
Roles
Analytics Events
/v2/credentials/compact/digital-pass/google/templates/{id}Updates a existing Google Pass template by providing its ID and a .zip file. Refer to our Design a Google Pass template guide for more information on how to design the template and how to structure the .zip file.
Analytic events
- CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_UPDATE_START
- CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_UPDATE_SUCCESS
- CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Google Pass template ID
Template ID
Request Body
multipart/form-data
Includes your template files.
binaryInsert a name to identify this Google Pass template.
1 <= length <= 1024Google Wallet Pass signer issuer ID.
Email address of the Google Cloud Platform service account for accessing the Google Pay Passes API.
Private key PEM of the Google Cloud Platform service account.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v2/credentials/compact/digital-pass/google/templates/string" \ -F template="string" \ -F name="Certificate of participation" \ -F issuerId="3388000000012346000" \ -F serviceAccountClientEmail="app-user@myproject.iam.gserviceaccount.com" \ -F serviceAccountPrivateKey="string"{
"id": "3812166c-ac9f-4e4e-96dd-c1336b5be378",
"passType": "apple",
"name": "Certificate of participation",
"metadata": {
"issuerId": "3388000000012346000",
"serviceAccountClientEmail": "app-user@myproject.iam.gserviceaccount.com",
"payPassId": "3388000000012345678.a0bbe92f-c85e-4081-94c3-f842bcd5e463"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve a Google Pass template GET
Retrieves an existing Google Pass template by providing its ID. ### **Analytic events** * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_RETRIEVE_START * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_RETRIEVE_SUCCESS * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_RETRIEVE_FAIL
Delete a Google Pass template DELETE
Deletes an existing Google Pass template by providing its ID. ### **Analytic events** * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_DELETE_START * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_DELETE_SUCCESS * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_DELETE_FAIL